Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78155 - pxe daemon crashes after each request
Summary: pxe daemon crashes after each request
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pxe
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-19 14:56 UTC by Tim Verhoeven
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-01 19:48:44 UTC


Attachments (Terms of Use)

Description Tim Verhoeven 2002-11-19 14:56:05 UTC
Description of problem:
The pxe daemon will crash each time after it has served a request to a client.
Tested with multiple clients. There is no information in the logs.

Version-Release number of selected component (if applicable): pxe-0.1-31.99.7.3


How reproducible:
Always

Steps to Reproduce:
1.service pxe start -> OK
2.let client start using pxe
3.service pxe status -> pxe dead but pid file exists
	

Actual Results:  pxe process is gone, but pid file still exists.

Expected Results:  pxe process should still be running.

Additional info:

The server is a IBM xSeries 230. The clients are IBM Thinkpads and Blades. The
server with the pxe daemon has all updates on it.

Comment 1 Joe Orton 2002-12-09 16:44:01 UTC
I've seen the daemon crashing regularly with the 8.0 pxe package too.

Comment 2 Elliot Lee 2002-12-10 20:53:36 UTC
If you could use 'tcpdump -w badpxe.packets' to capture the network traffic that causes the 
problem, and then attach that file to this bug report, that would help immensely.

Comment 3 Tim Verhoeven 2002-12-11 11:52:18 UTC
I've just tried it on our regular network but the daemon didn't crash. I'll have
to reconstructed a private LAN where I can run the Red Hat dhcp daemon.

I'll let you know as soon as I have some time to set it all up.


Note You need to log in before you can comment on or make changes to this bug.